Microsimulation API

null_type Struct Reference

A table class for lookups. For the case of a single key, this is a small extension to std::map, including the ability to read columns from a DataFrame. Looking up a key which is less than the lowest key value will use the lowest key. More...

`#include <rcpp_table.h>`

## Detailed Description

A table class for lookups. For the case of a single key, this is a small extension to std::map, including the ability to read columns from a DataFrame. Looking up a key which is less than the lowest key value will use the lowest key.

Definition at line 143 of file rcpp_table.h.

The documentation for this struct was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h